飘在云端

啊!那蓝真天,白真云。

· 前端 · · 110次浏览

Firefox/Google/MS EDGE 总是允许Flash直接运行不询问

更新记录

2019-9-8 18:54:33 增加Firefox 69.0+ 版本 的总是允许Flash

2019-9-7 19:12 增加 Firefox 版本 ≤ 68.x 总是允许Flash

2019-9-6 23 : 21 分享链接改成直链,增加 Microsoft Edge 总是允许Flash 设置

2019-6-12 17:26:26 修复失效链接

2019.3.23 修复链接失效,增加一键恢复默认Flash设置的注册表文件

2019-1-6 ,修复直链失效

2018-11-5 初版发布


直链下载集合:
Firefox/Firefox Quantum_v1-68版本_总是允许FLash 【支持版本1-68】

Firefox/Firefox Quantum_v69+总是允许Flash 【支持版本69.0+,该版使用方法请参见下面的说明,直接简单粗暴导入就完事是不可能的】

Microsoft Edge 总是允许Flash直接运行不询问

Chromium/Chrome 总是允许Flash直接运行不询问

Flash ActiveX/NPFlash/PPFlash三版合一去后台服务去自动更新去国内地区检测屏蔽(IE内核仅支持win7)

Firefox / Firefox Quantum 总是允许Flash

1>对于 Firefox 版本为 1-68 的方案如下

Firefox/FirefoxQuantum_1-68版本总是允许Flash

下载后双击导入压缩包内的 “Firefox_v1-68 总是允许Flash.reg”,关闭火狐浏览器重新打开即可。

如果还需要 无视过期版本Flash插件不提示直接强制加载,还需要在about:config配置如下选项:

火狐浏览器新建一个标签页,地址栏输入 about:config

第一次进入该高级设置界面火狐会有风险提示:

“这可能使质量保证失效”,把下次仍显示此警告的复选框不勾选,点击我了解此风险

在上方的搜索框搜索以下条目,特别提示:请不要复制多余末尾空格

搜索

extensions.blocklist.enabled

出现唯一 一条搜索结果后,双击它,改变值为false,意思是允许加载过期Flash插件,并且不提示

强烈建议两者配合使用,否则如果NPAPI Flash 发布新版,火狐检测到新版Flash,就会无脑倒逼用户更新Flash,不然将会阻止所有Flash运行,由于Flash插件过期原因导致Flash被阻止,单独总是允许Flash允许是无效的,除非更新Flash插件为最新版,或者修改该配置的值为false,,才能无视Flash过期检测

2>对于Firefox版本是 69.x 及更高版本

下载适用于 Firefox 69.x + 版本的总是允许Flash文件

Firefox_v69+总是允许Flash.zip

解压下载完的压缩包,编辑 “Firefox_v69+ 总是允许Flash.reg”,按如下规则修改:

;使用说明:
;0、确保Firefox的Flash状态是 需要时询问,不能是一律不激活
;1、依葫芦画瓢,每增加一个允许域名,就另起一行,同时序列号依次递增,序列号必须唯一
;2、如果增加的域名是顶级域名(一级域名),那么将会自动匹配一级域名下的所有子域名,如增加abc.cn,就会自动匹配 *.abc.cn
;3、如果增加的域名不是顶级域名,则只会匹配到具体域名
;4、还有个坏消息,不支持通配符......这个我觉得大家可以给Firefox Github 提issue...
;5、本来v69+ 版本也不用那么麻烦的,只是维护这个功能的开发者在移除总是允许Flash的提交时,把企业内置策略的总是允许Flash也给删干净了,所幸残留了一个允许列表还生效

[HKEY_LOCAL_MACHINESOFTWAREPoliciesMozillaFirefoxFlashPluginAllow]
"1"="4399.com"
"2"="2144.com"
"3"="4399youpai.com"
"4"="douyu.com"
"5"="huya.com"
根据自身的情况修改你所需要允许的Flash域名列表,修改需要遵守的格式如上所示,改完之后保存,双击导入该注册表文件,即可永久生效(支持安装版和绿色版)

重要的事情说一遍:不支持通配符

Microsoft Edge 总是允许Flash直接运行不询问

特性:1.支持家庭版,专业版、企业版、专业工作站版、此处省略若干字数,理论win 10 全系通用

2.无需组策略支持,注册表直接写入

3.支持随时还原注册表更改

4.其他说明:win 10 1809及之后版本默认总是询问,之前版本是Flash可以浏览器设置总是Flash 运行

Google Chrome/Chromium 总是允许Flash运行

1.使用说明:

解压到任意地方双击导入注册表键值即可,导入后实时生效,无需重启系统,只需要关闭所有谷歌浏览器进程重新打开即可

支持谷歌浏览器从 v11 +起的所有分支版本,以及即将发布和未发布的版本。包括

1>Chrome分支下的全家桶:Stable 稳定版、Beta测试版、Dev 开发版、Canary 金丝雀版

2>还包括 Chromium 这个分支!

2.该注册表文件实现如下效果:

1>允许加载旧版本的Flash插件,并且无过期提示,比如使用27.0版本的Flash

2>允许所有网站加载Flash,我已经在注册表里面写入了通配符匹配 http://https://,但不包含本地开发测试Flash的内网环境或直接IP访问,如10.x.x.x/172.16.x.x/192.168.x.x/任意IP直接访问的Flash网站

3>开启浏览器硬件加速

4.查看是否生效,除了自行打开Flash网页测试,还可以通过这个查询:在谷歌浏览器地址栏输入

chrome://policy/ 回车后可以看到策略加载情况,可以检查是否生效。

5.修改后永久生效,支持谷歌浏览器的所有分支和任意版本升级和回退,支持恢复默认Flash设置

评论 (0条)